boards.create
POST /api/v1/boards. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Body limit: 4096 KB.
POST
/api/v1/boards
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/boards \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "type": "travel", "manifest": { "entry": "example", "files": "example" }, "message": "example", "agent": "example" }'An agent token (Authorization: Bearer ifc_…) or a signed-in person. Body limit: 4096 KB.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
title
required
string
type
required
string
manifest
required
object
entry
required
string
files
required
message
string
agent
string
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
board
required
object
id
required
string format: uuid
slug
required
string
key
required
string
title
required
string
type
required
string
owner_id
required
string
head_n
required
integer
link_access
required
string
approval_mode
required
boolean
self_contained
required
boolean
sealed
required
boolean
is_member
boolean
takedown_reason
string | null
created_at
required
string format: date-time
updated_at
required
string format: date-time
version
required
object
board_id
required
string format: uuid
n
required
integer
manifest_sha
required
string
author_id
required
string
agent
required
string
message
required
string
size_bytes
required
integer
created_at
required
string format: date-time
Example
{ "board": { "type": "travel", "link_access": "off", "my_role": "owner", "is_member": true, "taken_down_at": null, "takedown_reason": null }}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}